/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MENSCOMP                                                 */
/* Tabela : MENSCOMP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_MENSCOMP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_MENSCOMP
GO

CREATE TRIGGER DTULTATU_MENSCOMP
ON MENSCOMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'MENSCOMP', null, 'CDMENSCMP='+ CDMENSCMP+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE MENSCOMP
      SET DTULTATUMENC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(MENSCOMP.CDMENSCMP,0) = ISNULL(INSERTED.CDMENSCMP,0)) AND
            (ISNULL(MENSCOMP.NMMENSCMP,0) = ISNULL(INSERTED.NMMENSCMP,0));
   END;
END;
GO


