function Cmp03800PreviaDoCalculoDaNecessidadeDeCompras_Controller(General, ScreenService, MessageService, templateManager, restEngine, ZHPromise, ZhFilterPreferences, Utilities) {

    var self = this;
    var NRNECECOMP;
    var idcalprevcon;
    
    this.widgetOnEnter = function(args) {
        const widgetFiltro = templateManager.container.getWidget('FILIAIS');
        
        General.callRestEngine("cmp#/getCdFilCentCmp", "Row", {}).then(function(response) {
            setLocalVar('NMFILCENTCMP', response.dataset.data.NMFILCENTCMP);
            setLocalVar('CDFILCENTCMP', response.dataset.data.CDFILCENTCMP);
            
            retornaParametros().then(function(params) {
                const parametrosPrevia = params[0].dataset.parametrosPrevia;
                const parcmpsupPrevia = params[1].dataset.parcmpsupPrevia[0];
    
                const idsisdos = parametrosPrevia.IDSISDOS;
                const cdgrupprod = parametrosPrevia.CDGRUPPROD;
                const idsconestnec = parcmpsupPrevia.IDSCONESTNEC;
                idcalprevcon = parcmpsupPrevia.IDCALPREVCON;
    
                verificaProjectCorp(widgetFiltro);
                aplicaIdsisdos(widgetFiltro, idsisdos);
                defineFiltroSubgrupo(widgetFiltro, cdgrupprod);
                self.onChangeNumPrevia(widgetFiltro);
                aplicaConsideraEstoque(widgetFiltro, idsconestnec);
                const rowsToSet = {};
                
                if(widgetFiltro.currentRow.NRNECECOMP && widgetFiltro.currentRow.DTINI && widgetFiltro.currentRow.DTFIN) {
                    rowsToSet.NRNECECOMP = widgetFiltro.currentRow.NRNECECOMP;
                    rowsToSet.DTINI = widgetFiltro.currentRow.DTINI;
                    rowsToSet.DTFIN = widgetFiltro.currentRow.DTFIN;
                    rowsToSet.DTENTREGA = {
                        "start": widgetFiltro.currentRow.DTENTREGA.start,
                        "formattedStart": widgetFiltro.currentRow.DTENTREGA.formattedStart,
                        "end": widgetFiltro.currentRow.DTENTREGA.end,
                        "formattedEnd": widgetFiltro.currentRow.DTENTREGA.formattedEnd
                    };
                    rowsToSet.NMFILIAL = widgetFiltro.currentRow.NMFILIAL = '';
                    rowsToSet.CDFILIAL = widgetFiltro.currentRow.CDFILIAL = '';
                    
                    const fieldProdutoInicial = widgetFiltro.getField('NMPRODINICIAL');
                    const fieldProdutoFinal = widgetFiltro.getField('NMPRODFINAL');
                    const fieldUnidade = widgetFiltro.getField('NMFILIAL');
                    
                    if(fieldProdutoInicial.validations && fieldProdutoFinal.validations && fieldUnidade.validations) {
                        delete fieldProdutoInicial.validations.required;
                        delete fieldProdutoFinal.validations.required;
                        delete fieldUnidade.validations.required;
                    }
                    
                    fieldProdutoInicial.reload();
                    fieldProdutoFinal.reload();
                    fieldUnidade.reload();
                    
                    self.onChangeNumPrevia(widgetFiltro);
                } else {
                    rowsToSet.DTENTREGA = {
                        "start": moment().format('L'),
                        "formattedStart": moment().format('L'),
                        "end": moment().format('L'),
                        "formattedEnd": moment().format('L')
                    };
                    rowsToSet.NMFILIAL = widgetFiltro.currentRow.NMFILIAL = '';
                    rowsToSet.CDFILIAL = widgetFiltro.currentRow.CDFILIAL = '';
                }
                
                ZhFilterPreferences.openFilterWidget(widgetFiltro, rowsToSet).then(function(opened) {
                    return;
                });
            });
        }, function(error) {
			return MessageService.showMessageByCode(error.data ? 'cmp#' + error.data.error : 'Timeout', null, { type: 'ERROR' });
		});
    };

    function verificaProjectCorp(widgetFiltro) {
        /** if (window.projectCorp) {
            widgetFiltro.getField("NMFILIAL").readOnly = false;
        } else {
            widgetFiltro.getField("NMFILIAL").readOnly = true;
        } **/
        widgetFiltro.getField("NMFILIAL").readOnly = false;
        if(widgetFiltro.currentRow.NRNECECOMP && widgetFiltro.currentRow.DTINI && widgetFiltro.currentRow.DTFIN)
            delete widgetFiltro.getField("NMFILIAL").validations;
    }

    function retornaParametros() {
        let promiseParam = [];

        promiseParam.push(General.callRestEngine('cmp_necessidadeCompras#/retornaParametrosPrevia', "Row", []));
        promiseParam.push(General.callRestEngine('cmp_necessidadeCompras#/retornaParcmpsupPrevia', "Row", []));

        return ZHPromise.all(promiseParam);
    }

    function aplicaIdsisdos(widgetFiltro, idsisdos) {
        let fieldCalendario = widgetFiltro.getField('CALENDARIO');
        let fieldRelatorio = widgetFiltro.getField('RELATORIO');

        if (idsisdos == 3) {
            fieldCalendario.setValue('S');
            fieldCalendario.readOnly = true;
            fieldRelatorio.defaultValue = 'CMP03812.BIRT';
        } else {
            fieldCalendario.setValue('N');
            fieldCalendario.readOnly = false;
            fieldRelatorio.dataSource.data.pop();
            fieldRelatorio.value('CMP03800.BIRT');
        }
    }
    
    this.onChangeNumPrevia = function(widget) {
        const fieldProdutoInicial = widget.getField('NMPRODINICIAL');
        const fieldProdutoFinal = widget.getField('NMPRODFINAL');
        const fieldUnidade = widget.getField('NMFILIAL');
        const fieldDataEntrega = widget.getField("DTENTREGA");
        const fieldMantem = widget.getField("MANTERPRODQTZERO");
        const fieldCalendario = widget.getField("CALENDARIO");
        
        if (widget.currentRow.NRNECECOMP) {
            const fieldNumPrevia = widget.getField('NRNECECOMP');
            
            delete fieldProdutoInicial.validations;
            delete fieldProdutoFinal.validations;
            delete fieldUnidade.validations;
    
            const dadosPrevia = retornaDadosPrevia(fieldNumPrevia, widget.currentRow.NRNECECOMP);
                
            fieldNumPrevia.setValue(dadosPrevia.NRNECECOMP);
            fieldNumPrevia.defaultValue = dadosPrevia.NRNECECOMP;
            
            fieldMantem.readOnly = true;
            fieldCalendario.readOnly = true;
            
            fieldMantem.setValue("S");
            fieldCalendario.setValue("N");
                
            widget.currentRow.NRNECECOMP = dadosPrevia.NRNECECOMP;
            widget.currentRow.DTENTREGA.start = widget.currentRow.DTINI ? widget.currentRow.DTINI.substr(0, 10) : dadosPrevia.DTINI.substr(0, 10) ? dadosPrevia.DTINI.substr(0, 10) : '';
            widget.currentRow.DTENTREGA.formattedStart = widget.currentRow.DTINI ? widget.currentRow.DTINI.substr(0, 10) : dadosPrevia.DTINI.substr(0, 10) ? dadosPrevia.DTINI.substr(0, 10) : '';
            widget.currentRow.DTENTREGA.end = widget.currentRow.DTFIN ? widget.currentRow.DTFIN.substr(0, 10) : dadosPrevia.DTFIN.substr(0, 10) ? dadosPrevia.DTFIN.substr(0, 10) : '';
            widget.currentRow.DTENTREGA.formattedEnd = widget.currentRow.DTFIN ? widget.currentRow.DTFIN.substr(0, 10) : dadosPrevia.DTFIN.substr(0, 10) ? dadosPrevia.DTFIN.substr(0, 10) : '';
            widget.currentRow.NMFILIAL = widget.currentRow.NMFILNECECMP ? widget.currentRow.NMFILNECECMP : '';
            widget.currentRow.CDFILIAL = widget.currentRow.CDFILNECECMP ? widget.currentRow.CDFILNECECMP : '';
            widget.currentRow.CDPRODFINAL = '';
            widget.currentRow.NMPRODFINAL = '';
            widget.currentRow.CDARVPRODFINAL = '';
            widget.currentRow.CDPRODINICIAL = '';
            widget.currentRow.NMPRODINICIAL = '';
            widget.currentRow.CDARVPRODINICIAL = '';
        } else {
            fieldDataEntrega.setValue({
               "start": moment().format('L'),
               "end": moment().format('L'),
               "formattedStart": moment().format('L'),
               "formattedEnd": moment().format('L')
            });
            
            widget.currentRow.DTENTREGA = {
                "start": moment().format('L'),
                "formattedStart": moment().format('L'),
                "end": moment().format('L'),
                "formattedEnd": moment().format('L')
            };
            
            fieldDataEntrega.reload();
            
            fieldProdutoInicial.validations = {
                'required': true
            };
            
            fieldProdutoFinal.validations = {
                'required': true
            };
            
            fieldUnidade.validations = {
                'required': true
            };
            
            fieldMantem.readOnly = false;
            fieldCalendario.readOnly = false;
            
            fieldMantem.setValue("S");
            fieldCalendario.setValue("N");
        }
    };
    
    this.setCustomFilter = function(args) {
        args.e.preference.CUSTOM_FILTER_ROW = [];
    };
    
    this.setDataSourceFilter = function(args) {
        filtrar(args);
    };

    function filtrar(args) {
        const row = args.e.preference.FILTER_ROW;
        const widget = templateManager.container.getWidget('FILIAIS');
        widget.currentRow = row;
        
        if (widget.isValid()) {
            if (row.NRNECECOMP) {
                self.criaDataSourceFiliais(args, row.NRNECECOMP);
            } else {
                if (validaData(row.DTENTREGA.start, row.DTENTREGA.end)) {
                    self.calculaPrevisaoConsumo(widget, row, args);
                }
            }
            setStripeValues(row);
        }
    }

    function retornaDadosPrevia(fieldNumPrevia, numPrevia) {
        const dataNumPrevia = fieldNumPrevia.dataSource.data;
        let dadosPrevia = dataNumPrevia.filter(function(previa) {
            return previa.NRNECECOMP === numPrevia;
        });
    
        return dadosPrevia.length ? dadosPrevia[0] : dadosPrevia;
    }

    function aplicaConsideraEstoque(widgetFiltro, idsconestnec) {
        let fieldConsideraEsoque = widgetFiltro.getField('CONSIDERAEST');

        if (idsconestnec == 'S') {
            fieldConsideraEsoque.label = ScreenService.i18n('Considera Estoque da Unidade');
            fieldConsideraEsoque.setValue(ScreenService.i18n('Considera Estoque da Unidade'));
        } else {
            fieldConsideraEsoque.label = ScreenService.i18n('Não Considera Estoque da Unidade');
            fieldConsideraEsoque.setValue(ScreenService.i18n('Não Considera Estoque da Unidade'));
        }
    }

    function defineFiltroSubgrupo(widgetFiltro, cdgrupprod) {
        widgetFiltro.getField('CDSUBGRPROD').dataSourceFilter = [{
                "operator": "ORDER_BY",
                "name": [{
                    "name": "CDSUBGRPROD",
                    "direction": "ASC"
                }]
            },
            {
                "name": "P_CDGRUPPROD",
                "operator": "=",
                "value": cdgrupprod
            }
        ];
    }
    
    this.retornaParametrosUnidade = function() {
        const widgetFiltro = templateManager.container.getActiveWidget();
        const cdfilial = widgetFiltro.currentRow.CDFILIAL;

        if (cdfilial) {
            General.callRestEngine('cmp_necessidadeCompras#/retornaParcmpsupPrevia', "Row", [{
                'CDFILIAL': cdfilial
            }]).then(function(params) {
                idcalprevcon = params.dataset.parcmpsupPrevia[0].IDCALPREVCON;
                const idsconestnec = params.dataset.parcmpsupPrevia[0].IDSCONESTNEC;

                aplicaConsideraEstoque(widgetFiltro, idsconestnec);
            });
        } else {
            retornaParametros().then(function(params) {
                const parcmpsupPrevia = params[1].dataset.parcmpsupPrevia[0];
                idcalprevcon = parcmpsupPrevia.IDCALPREVCON;
            });
        }
    };

    const nomeRelatorio = {
        'CMP03800': 'Prévia Analítica',
        'CMP03801': 'Prévia Sintética',
        'CMP03812': 'Prévia Analítica-GR'
    };

    function setStripeValues(row) {
        const stripe = templateManager.container.getWidget('FILTERSTRIPE');

        stripe.currentRow.ENTREGASTRIPE = row.DTENTREGA.start + " " + 'à ' + row.DTENTREGA.end;
        stripe.currentRow.PRODUTOINI = row.NMPRODINICIAL || ScreenService.i18n('Todos');
        stripe.currentRow.PRODUTOFIN = row.NMPRODFINAL || ScreenService.i18n('Todos');
        stripe.currentRow.TIPOPREVIA = nomeRelatorio[row.RELATORIO];
        stripe.currentRow.ESTOQUE = row.CONSIDERAEST;

        if (row.MANTERPRODQTZERO == 'S') {
            stripe.getField('MANTEMPROD').label = ScreenService.i18n('Mantém produtos com quantidade zero');
        } else if (row.MANTERPRODQTZERO == 'N') {
            stripe.getField('MANTEMPROD').label = ScreenService.i18n('Não mantém produtos com quantidade zero');
        }
    }

    this.setFooterValues = function(widget) {
        widget.currentRow.QTESTAFPEND = parseFloat(widget.dataSource.data[0].QTESTAFPEND).toFixed(2).replace(".", ",");
        widget.currentRow.ETQINIDTPROCESSA = moment(widget.dataSource.data[0].DATAPROC, 'DD/MM/YYYY').format('DD/MM/YYYY') + ' ' + parseFloat(widget.dataSource.data[0].QTESTOQATUAL).toFixed(2).replace(".", ",");
        widget.currentRow.QTESTAFPANT = parseFloat(widget.dataSource.data[0].QTESTAFPANT).toFixed(2).replace(".", ",");
        widget.currentRow.QTESTAFPDEP = parseFloat(widget.dataSource.data[0].QTESTAFPDEP).toFixed(2).replace(".", ",");
        widget.currentRow.CONSUMOATE = moment(widget.dataSource.data[0].DTCONSATE, 'DD/MM/YYYY').format('DD/MM/YYYY') + ' ' + parseFloat(widget.dataSource.data[0].QTCONATEPREN).toFixed(2).replace(".", ",");
        widget.currentRow.CONSUMOSEG = moment(widget.dataSource.data[0].DTENTRNECCMP, 'DD/MM/YYYY').add(widget.dataSource.data[0].NRDIASEGPROD - 1, 'days').format('DD/MM/YYYY') + ' ' + parseFloat(widget.dataSource.data[0].QTCONSANTECI).toFixed(2).replace(".", ",");
    };

    function validaData(dtInicial, dtFinal) {
        var dataInicial = dtInicial ? moment(dtInicial, 'DD/MM/YYYY')._d : null;
        var dataFinal = dtFinal ? moment(dtFinal, 'DD/MM/YYYY')._d : null;
        var dtProcessamento = moment(getLocalVar('DTPROCESSA'), 'DD/MM/YYYY');
        if (dataInicial < dtProcessamento || dataFinal < dtProcessamento) {
            MessageService.showMessageByCode("DTINIC_MENOR_DTPROC");
            return false;
        }
        return true;
    }

    this.voltarEntrega = function(nomeWidget) {
        const widPrevia = templateManager.container.getWidget(nomeWidget);

        ScreenService.closeSwipe().then(function() {
            widPrevia.activate();
        });
    };

    this.voltarProduto = function() {
        ScreenService.closeSwipe().then(function() {
            templateManager.container.getWidget('FILIAIS').activate();
        });
    };

    this.cancel = function(widget) {
        General.widgetCancelForm(widget);
    };

    function produtoAnalitico(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica) {
        const widgetProdutoAnalitico = templateManager.container.getWidget('PRODUTOS');
        const filialRow = widgetFiliais.currentRow;
        const filterRow = widgetFiliais.appliedFilter.FILTER_ROW;

        widgetProdutoAnalitico.dataSourceFilter = [
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filialRow.CDFILNECECMP ? filialRow.CDFILNECECMP : null
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filialRow.NRNECECOMP
            },
            {
                "name": "P_CDSUBGRUPO",
                "operator": "=",
                "value": filterRow.CDSUBGRPROD ? filterRow.CDSUBGRPROD : null
            },
            {
                "name": "P_CDPRODINI",
                "operator": "=",
                "value": filterRow.CDPRODINICIAL
            },
            {
                "name": "P_CDPRODFIN",
                "operator": "=",
                "value": filterRow.CDPRODFINAL ? self.validaProdutoFinal(filterRow) : null
            },
            {
                "name": "P_TCDPRODUTO",
                "operator": "=",
                "value": filterRow.CDPRODINICIAL && filterRow.CDPRODFINAL ? null : 'T'
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_TDATA",
                "operator": "=",
                "value": 'T'
            },
            {
                "name": "P_CDGRUPPROD",
                "operator": "=",
                "value": filterRow.CDSUBGRPROD ? filterRow.CDSUBGRPROD : null
            }
        ];

        widgetProdutoAnalitico.reload().then(function() {
            ScreenService.openSwipe(tabbedPreviaAnalitica);

            tabbedPreviaSintetica.showAsTab = false;
            tabbedPreviaAnaliticaGR.showAsTab = false;

            tabbedPreviaAnalitica.activate();
            widgetProdutoAnalitico.activate();
        });
    }

    function produtoSintetico(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica) {
        const widgetProdutoSintetico = templateManager.container.getWidget('PRODUTOSINT');
        const filtroRow = widgetFiliais.appliedFilter.FILTER_ROW;
        const filialRow = widgetFiliais.currentRow;

        widgetProdutoSintetico.dataSourceFilter = [
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filialRow.CDFILNECECMP ? filialRow.CDFILNECECMP : null
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filialRow.NRNECECOMP
            },
            {
                "name": "P_CDSUBGRUPO",
                "operator": "=",
                "value": filtroRow.CDSUBGRPROD ? filtroRow.CDSUBGRPROD : null
            },
            {
                "name": "P_CDPRODINI",
                "operator": "=",
                "value": filtroRow.CDPRODINICIAL
            },
            {
                "name": "P_CDPRODFIN",
                "operator": "=",
                "value": filtroRow.CDPRODFINAL ? self.validaProdutoFinal(filtroRow) : null
            },
            {
                "name": "P_TCDPRODUTO",
                "operator": "=",
                "value": filtroRow.CDPRODINICIAL && filtroRow.CDPRODFINAL ? null : 'T'
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_TDATA",
                "operator": "=",
                "value": 'T'
            },
            {
                "name": "P_CDGRUPPROD",
                "operator": "=",
                "value": filtroRow.CDSUBGRPROD ? filtroRow.CDSUBGRPROD : null
            }
        ];

        widgetProdutoSintetico.reload().then(function() {
            ScreenService.openSwipe(tabbedPreviaSintetica);

            tabbedPreviaAnalitica.showAsTab = false;
            tabbedPreviaAnaliticaGR.showAsTab = false;

            tabbedPreviaSintetica.activate();
            widgetProdutoSintetico.activate();
        });
    }

    function produtoAnaliticoGR(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica) {
        const widgetProdutoAnaliticoGR = templateManager.container.getWidget('PRODUTOSGR');
        const filialRow = widgetFiliais.currentRow;

        widgetProdutoAnaliticoGR.dataSourceFilter = [
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filialRow.CDFILNECECMP ? filialRow.CDFILNECECMP : null
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filialRow.NRNECECOMP
            }
        ];

        widgetProdutoAnaliticoGR.reload().then(function() {
            ScreenService.openSwipe(tabbedPreviaAnaliticaGR);

            tabbedPreviaAnalitica.showAsTab = false;
            tabbedPreviaSintetica.showAsTab = false;

            tabbedPreviaAnaliticaGR.activate();
            widgetProdutoAnaliticoGR.activate();
        });
    }

    this.validaProduto = function(prodInicial, prodFinal) {
        if (prodInicial && prodFinal) {
            if (!General.comparaPratoProduto(prodInicial, prodFinal, getLocalVar('CDPICTPROD'))) {
                MessageService.showMessageByCode("PRODUTO_INICIAL_MENOR_IGUAL_FINAL");
                return false;
            }
        }
        return true;
    };
    
    this.setProductIntervalFilterOnFilterPopup = function(args, field) {
        var filterPopupCurrentRow = args.row;
        if (!(this.validaProduto(filterPopupCurrentRow.CDARVPRODINICIAL, filterPopupCurrentRow.CDARVPRODFINAL))) {
            filterPopupCurrentRow.CDPRODFINAL = '';
            filterPopupCurrentRow.NMPRODFINAL = '';
            filterPopupCurrentRow.CDARVPRODFINAL = '';
            filterPopupCurrentRow.CDPRODINICIAL = '';
            filterPopupCurrentRow.NMPRODINICIAL = '';
            filterPopupCurrentRow.CDARVPRODINICIAL = '';
        }
    };
    
    this.executaProceNeccesidadeCompras = function(widget, args) {
        widget.currentRow.CDFILCENTCMP = getLocalVar('CDFILCENTCMP');
        widget.currentRow.TCDFILIAL = "";

        if (widget.currentRow.CALENDARIO == 'S') {
            General.callRestEngine('cmp_necessidadeCompras#/procePeriodicidadeNaoCalculada', "Row", widget.currentRow).then(function() {
                proceNecessidadeCompras(widget, args);
            });
        } else {
            proceNecessidadeCompras(widget, args);
        }
    };

    function proceNecessidadeCompras(widget, args) {
        return General.callRestEngine('cmp_necessidadeCompras#/proceNecessidadeCompras', "Row", widget.appliedFilter.FILTER_ROW).then(function(callback) {
            NRNECECOMP = callback.dataset.response[0];
            self.criaDataSourceFiliais(args, NRNECECOMP);
        });
    }

    this.verifyMaxValue = function(field) {
        var widget = field.widget;
        var maxValue = '999.99';
        var fieldValue = angular.copy(field.value());
        if (typeof(fieldValue) == 'string') {
            fieldValue = fieldValue.split('.').join('');
            fieldValue = fieldValue.replace(',', '.');
        }

        if (fieldValue && parseFloat(fieldValue) > parseFloat(maxValue)) {
            widget.currentRow.PEACRESCIMO = '';
            widget.currentRow.$error.PEACRESCIMO[0] = {
                valid: false,
                message: "Valor máximo: 999,90"
            };
        } 
    };

    this.calculaPrevisaoConsumo = function(widget, row, args) {
        const messageCode = 'PREVIA_MSGBACK';

        General.callRestEngine('cmp_necessidadeCompras#/verifyDataLimiteSeguranca', 'Row', row).then(function(calback) {
            const params = { PARAMETRO: calback.dataset.resposta.DATSEGU};
            
            row.DATFIMSEGU = calback.dataset.resposta.DATSEGU;
            MessageService.getMessageByCode('cmp#' + messageCode).then(function (message) {
                row.MSGBACK = message;
                if (idcalprevcon !== 'N') {
                    if (idcalprevcon == 'S') {
                        MessageService.confirmMessageByCode("cmp#PREVIA_CALC_PREVISAO_ENTRE_DATAS", params, 'question').then(function(success) {
                            General.callRestEngine('cmp_necessidadeCompras#/GetProceConsPlan', 'Row', row).then(function(result) {
                                if (!result.dataset.resposta.MSG) {
                                    self.executaProceNeccesidadeCompras(widget, args);
                                } else {
                                    ScreenService.showMessage(result.dataset.resposta.MSG);
                                }
                            }.bind());
                        }, function(error) {
                            self.executaProceNeccesidadeCompras(widget, args);
                        });
                    } else {
                        General.callRestEngine('cmp_necessidadeCompras#/GetProceConsPlan', 'Row', row).then(function(result) {
                            if (!result.dataset.resposta.MSG) {
                                self.executaProceNeccesidadeCompras(widget, args);
                            } else {
                                ScreenService.showMessage(result.dataset.resposta.MSG);
                            }
                        }.bind());
                    }
                } else {
                    self.executaProceNeccesidadeCompras(widget, args);
                }
            }).catch(function () {
                ScreenService.showMessage(messageCode, 'ERROR', null);
            });
        });
    };
    
    this.criaDataSourceFiliais = function(args, NRNECECOMP) {
        const widgetFiliais = templateManager.container.getWidget('FILIAIS');
        const row = args.e.preference.FILTER_ROW;
        
        widgetFiliais.dataSourceFilter = [
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": row.CDFILIAL ? row.CDFILIAL : null
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": NRNECECOMP
            },
            {
                "name": "P_CDSUBGRUPO",
                "operator": "=",
                "value": row.CDSUBGRPROD ? row.CDSUBGRPROD : null
            },
            {
                "name": "P_CDPRODINI",
                "operator": "=",
                "value": row.CDPRODINICIAL ? row.CDPRODINICIAL : null
            },
            {
                "name": "P_CDPRODFIN",
                "operator": "=",
                "value": row.CDPRODFINAL ? self.validaProdutoFinal(row) : null
            },
            {
                "name": "P_TCDPRODUTO",
                "operator": "=",
                "value": row.CDPRODINICIAL && row.CDPRODFINAL ? null : 'T'
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": row.DTENTREGA ? row.DTENTREGA.start : null
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": row.DTENTREGA ? row.DTENTREGA.end : null
            },
            {
                "name": "P_TDATA",
                "operator": "=",
                "value": row.DTENTREGA ? null : 'T'
            },
            {
                "name": "P_CDGRUPPROD",
                "operator": "=",
                "value": row.CDSUBGRPROD ? row.CDSUBGRPROD : null
            }
        ];

        ScreenService.closePopup();
        widgetFiliais.reload();
        widgetFiliais.activate();
    };

    this.filtrarEntregaAnalit = function() {
        const tabbedEntrega = templateManager.container.getWidget('ENTREGA');

        const widgetEntrega = templateManager.container.getWidget('ENTREGAGRID');
        const widgetFiltro = templateManager.container.getWidget('FILIAIS');

        const filtroRow = widgetFiltro.currentRow;
        const filialRow = templateManager.container.getWidget('FILIAIS').currentRow;
        const produtosRow = templateManager.container.getWidget('PRODUTOS').currentRow;

        widgetEntrega.dataSourceFilter = [{
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filialRow.CDFILNECECMP
            },
            {
                "name": "P_CDPRODNECCMP",
                "operator": "=",
                "value": produtosRow.CDPRODNECCMP
            },
            {
                "name": "FILIPROC",
                "operator": "=",
                "value": filtroRow.CDFILIAL
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filialRow.NRNECECOMP
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": null
            },
            {
                "name": "P_TDATA",
                "operator": "=",
                "value": 'T'
            }
        ];

        widgetEntrega.reload().then(function() {
            ScreenService.openSwipe(tabbedEntrega);
            tabbedEntrega.activate();
            widgetEntrega.activate();
        });

    };

    this.afterMoveRowProdutosGR = function() {
        filtrarEntregaGR();
        preencheFooterGR();
    };

    function filtrarEntregaGR() {
        const tabbedEntregaGR = templateManager.container.getWidget('ENTREGAGR');

        const widgetEntregaGR = templateManager.container.getWidget('ENTREGAGRIDGR');

        const filialRow = templateManager.container.getWidget('FILIAIS').currentRow;
        const produtosRowGR = templateManager.container.getWidget('PRODUTOSGR').currentRow;

        widgetEntregaGR.dataSourceFilter = [{
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filialRow.CDFILNECECMP
            },
            {
                "name": "P_CDPRODNECCMP",
                "operator": "=",
                "value": produtosRowGR.CDPRODNECCMP
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filialRow.NRNECECOMP
            }
        ];

        widgetEntregaGR.reload().then(function() {
            ScreenService.openSwipe(tabbedEntregaGR);
            tabbedEntregaGR.activate();
            widgetEntregaGR.activate();
        });

    }

    this.openDetalhamento = function(widget) {
        ScreenService.openSwipe(widget.container.getWidget("DETALHAMENTO"));
        widget.container.getWidget("DETALHAMENTO").activate();
    };

    this.openSintetico = function(widget) {
        ScreenService.openSwipe(widget.container.getWidget("SINTETICO"));
        widget.container.getWidget("SINTETICO").activate();
    };

    this.selecionaRelatorio = function(args) {
        const widgetFiliais = templateManager.container.getWidget('FILIAIS');
        const tabbedPreviaAnalitica = templateManager.container.getWidget('previaAnaliticaTabbed');
        const tabbedPreviaAnaliticaGR = templateManager.container.getWidget('previaAnaliticaGrTabbed');
        const tabbedPreviaSintetica = templateManager.container.getWidget('previaSinteticaTabbed');
        const reportName = widgetFiliais.appliedFilter.FILTER_ROW.RELATORIO.split('.').shift();
        
        switch (reportName) {
            case 'CMP03800':
                produtoAnalitico(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica);
                break;

            case 'CMP03801':
                produtoSintetico(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica);
                break;

            case 'CMP03812':
                produtoAnaliticoGR(widgetFiliais, tabbedPreviaAnalitica, tabbedPreviaAnaliticaGR, tabbedPreviaSintetica);
                break;

            default:
                return false;
        }
    };

    function formataQuantidadeAComprar(quantidade, sufixo) {
        return typeof quantidade === 'number' ? quantidade.toFixed(2).replace(".", ",") + ' ' + sufixo : quantidade;
    }

    this.preencheEntregaGridGR = function(widget) {
        widget.dataSource.data.forEach(function(row) {
            if (row.IDENTFORPERI === 'S') {
                row.IDINFODATA = '*';
                row.QTESTNEGATIV = '-';
                row.QTCONSANTECI = '-';
                row.QTASERENTREG = '-';
                row.QTPRCNVCOMPR = '-';
                row.IDINFOCOMPRA = '-';
            } else if (row.IDENTFORPERI === 'N') {
                row.IDINFODATA = '';
                row.QTESTINICIAL = row.QTESTNEGATIV;
                row.QTASERENTREG = row.QTASERENTREG;
                row.QTPRCNVCOMPR = row.QTPRCNVCOMPR;
                row.IDINFOCOMPRA = row.SGUNIDADESTO;
                if ((row.QTESTNEGATIV - row.QTCONSANTECI) < 0) {
                    row.QTCONSANTECI = 0;
                } else {
                    row.QTCONSANTECI = (row.QTESTNEGATIV - row.QTCONSANTECI);
                }
            }
            row.DTENTRNECCMP = moment(row.DTENTRNECCMP, 'DD/MM/YYYY').format('DD/MM/YYYY') + ' ' + row.IDINFODATA;
            row.QTPRCNVCOMPR = formataQuantidadeAComprar(row.QTPRCNVCOMPR, row.IDINFOCOMPRA);
        });
    };

    this.preencheEntregaGrid = function(widget) {
        widget.dataSource.data.forEach(function(row) {
            row.QTPRCNVCOMPR = formataQuantidadeAComprar(row.QTPRCNVCOMPR, row.SGUNIDADESTO);
        });
    };

    self.validaProdutoFinal = function(row) {
        var aux = 'ZZZZZZZZZZZZZZZZZZZZ';
        var str = row.CDPRODFINAL;
        var produto = str + aux.substr(0, aux.length - str.length);
        return produto;
    };

    function preencheFooterGR() {
        const widgetFooterGR = templateManager.container.getWidget('FOOTERGR');

        const cdprodneccmp = templateManager.container.getWidget('PRODUTOSGR').getField('CDPRODNECCMP').value();
        const nrnececomp = templateManager.container.getWidget('FILIAIS').getField('NRNECECOMP').value();
        const cdfilial = templateManager.container.getWidget('FILIAIS').getField('CDFILNECECMP').value();

        widgetFooterGR.dataSourceFilter = [{
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": cdfilial
            },
            {
                "name": "P_CDPRODNECCMP",
                "operator": "=",
                "value": cdprodneccmp
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": nrnececomp
            }
        ];

        widgetFooterGR.reload();
    }

    this.criaRelatorio = function(widget) {
        const widFiliais = templateManager.container.getWidget('FILIAIS');
        const filterRow = widget.appliedFilter.FILTER_ROW;
        const reportRow = {};
        const reportFormat = [
            {
				name: "PDF",
				value: "PDF"
			},
			{
				name: "XLS",
				value: "XLSX"
			},
			{
			    name: "RTF",
			    value: "rtf"
			},
			{
				name: "TXT",
				value: "TXT"
			}   
        ];
        
        reportRow.STRATEGY          = filterRow.STRATEGY ? filterRow.STRATEGY : filterRow.RELATORIO.split(".")[1];
        reportRow.DATAINI           = filterRow.DTENTREGA ? filterRow.DTENTREGA.start : null;
        reportRow.DATAFIN           = filterRow.DTENTREGA ? filterRow.DTENTREGA.end : null;
        reportRow.CDFILIAL          = widFiliais.currentRow.CDFILNECECMP;
        reportRow.FILIPROC          = widFiliais.currentRow.CDFILNECECMP;
        reportRow.NRORG             = widget.currentRow.NRORG;
        reportRow.NRNECECOMP        = widget.currentRow.NRNECECOMP;
        reportRow.MANTERPRODQTZERO  = filterRow.MANTERPRODQTZERO;
        
        
        if (widget.isValid()) {
            General.openReportPopup(widget, this.abreRelatorio, [widget, reportRow, filterRow.RELATORIO], reportFormat);
        }
    };
    
    this.abreRelatorio = function(widget, row, reportName) {
        const widgetBackup = templateManager.container.getActiveWidget().lastActiveWidget;
        
        /**
         * @workaround
         * A sequencia de 'activate':
         * - FILIAIS
         * - ENTREGAGRID
         * - widgetBackup
         * é para forçar que a lastWidget seja a widget pai do field de 
         * relatório (widget 'FILIAIS'), de forma que a função beforeOpenReport
         * seja acionada corretamente conforme esperado pelo fluxo do ReportDecorator.
         */
        templateManager.container.getWidget('FILIAIS').activate();
        templateManager.container.getWidget('ENTREGAGRID').activate();
        
        row.QR2TYPE = widget.currentRow.QR2TYPE;
        
        General.openReport('cmp_necessidadeCompras#/cmp03800_relatorio', reportName, row);
        
        widgetBackup.activate();
    }.bind(this);
    
    this.backActionOpenFilter = function(args) {
        const widgetFiltro = templateManager.container.getWidget('FILIAIS');
        const rowsToSet = {};
        
        ZhFilterPreferences.openFilterWidget(widgetFiltro, rowsToSet).then(function(opened) {
            return opened;
        });
    };
    
    this.onChangeRelatorio = function(field) {
        const filtro = templateManager.container.getActiveWidget();
        const action = filtro.getAction("never");
        if(action.label === "Apply filter" || action.label === "Exportar relatório") {
            if(filtro.currentRow.RELATORIO) {
                if(filtro.currentRow.RELATORIO.split('.')[1] === "QR2") {
                    action.label = "Exportar relatório";
                    action.events[0].code = "Cmp03800PreviaDoCalculoDaNecessidadeDeCompras_Controller.applyReportExportFilter(args); Utilities.saveCollectedDataGeneric(args.owner, 'Prévia do Cálculo de Necessidade de Compras', false);";
                } else {
                    action.label = "Apply filter";
                    action.events[0].code = "ZhFilterCreateFilterConditionsController.applyFilter(args.owner.widget); Utilities.saveCollectedDataGeneric(args.owner, 'Prévia do Cálculo de Necessidade de Compras', false);";
                }
            }
        }
        filtro.activate();
    };
    
    this.applyReportExportFilter = function(args) {
        const filtroWidget = templateManager.container.getActiveWidget();
        const filtroRow    = filtroWidget.currentRow;
        
        if (filtroWidget.isValid()) {
            if (filtroRow.NRNECECOMP) {
                this.createDatasourcePincipalPreviaCalc(args, filtroRow);
            } else {
                if (validaData(filtroRow.DTENTREGA.start, filtroRow.DTENTREGA.end)) {
                    this.calcPrevConsReport(filtroWidget, filtroRow, args);
                }
            }
        }
    };
    
    this.createDatasourcePincipalPreviaCalc = function(args, filtroRow) {
        const filterData = [
            {
                "name": "P_CDFILIAL",
                "operator": "=",
                "value": filtroRow.CDFILIAL ? filtroRow.CDFILIAL : null
            },
            {
                "name": "P_NRNECECOMP",
                "operator": "=",
                "value": filtroRow.NRNECECOMP
            },
            {
                "name": "P_CDSUBGRUPO",
                "operator": "=",
                "value": filtroRow.CDSUBGRPROD ? filtroRow.CDSUBGRPROD : null
            },
            {
                "name": "P_CDPRODINI",
                "operator": "=",
                "value": filtroRow.CDPRODINICIAL ? filtroRow.CDPRODINICIAL : null
            },
            {
                "name": "P_CDPRODFIN",
                "operator": "=",
                "value": filtroRow.CDPRODFINAL ? self.validaProdutoFinal(filtroRow) : null
            },
            {
                "name": "P_TCDPRODUTO",
                "operator": "=",
                "value": filtroRow.CDPRODINICIAL && filtroRow.CDPRODFINAL ? null : 'T'
            },
            {
                "name": "P_DTINICIAL",
                "operator": "=",
                "value": filtroRow.DTENTREGA ? filtroRow.DTENTREGA.start : null
            },
            {
                "name": "P_DTFINAL",
                "operator": "=",
                "value": filtroRow.DTENTREGA ? filtroRow.DTENTREGA.end : null
            },
            {
                "name": "P_TDATA",
                "operator": "=",
                "value": filtroRow.DTENTREGA ? null : 'T'
            },
            {
                "name": "P_CDGRUPPROD",
                "operator": "=",
                "value": filtroRow.CDSUBGRPROD ? filtroRow.CDSUBGRPROD : null
            }
        ];
        General.callRestEngine("cmp_necessidadeCompras#/crud/gridPrincipalPreviaCalc", "FilterData", filterData).then((success) => {
            if(success.dataset.gridPrincipalPreviaCalc.length == 0) {
                MessageService.showMessageByCode("PREVIA_NAO_RETORNOU_DADOS");
            } else {
                this.createReport(filtroRow, success.dataset.gridPrincipalPreviaCalc[0]);
            }
        }).catch((error) => {
            console.log(error);
        });
    };
    
    this.createReport = function(filterRow, datasetRow) {
        const reportRow = {};
        const widget = templateManager.container.getActiveWidget();
        const filialWidget = templateManager.container.getWidget("FILIAIS");
        const reportFormat = [
            {
				name: "PDF",
				value: "PDF"
			},
			{
				name: "XLS",
				value: "XLSX"
			},
			{
			    name: "RTF",
			    value: "rtf"
			},
			{
				name: "TXT",
				value: "TXT"
			}   
        ];
        
        reportRow.STRATEGY          = filterRow.STRATEGY ? filterRow.STRATEGY : filterRow.RELATORIO.split('.')[1];
        reportRow.DATAINI           = filterRow.DTENTREGA ? filterRow.DTENTREGA.start : null;
        reportRow.DATAFIN           = filterRow.DTENTREGA ? filterRow.DTENTREGA.end : null;
        reportRow.CDFILIAL          = datasetRow.CDFILNECECMP ? datasetRow.CDFILNECECMP : filterRow.CDFILIAL;
        reportRow.FILIPROC          = datasetRow.CDFILNECECMP ? datasetRow.CDFILNECECMP : filterRow.CDFILIAL;
        reportRow.NRORG             = datasetRow.NRORG;
        reportRow.NRNECECOMP        = datasetRow.NRNECECOMP;
        reportRow.MANTERPRODQTZERO  = filterRow.MANTERPRODQTZERO;
        
        if(widget.isValid())
            General.openReportPopup(filialWidget, this.openReport, [filialWidget, reportRow, filterRow.RELATORIO.split('.')[0]], reportFormat);
    };
    
    this.openReport = function(widget, row, reportName) {
        row.QR2TYPE = widget.currentRow.QR2TYPE;
        
        General.openReport('cmp_necessidadeCompras#/cmp03800_relatorio', reportName, row).then(success => {
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("NRNECECOMP").setValue("");
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("CALENDARIO").readOnly = false;
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("MANTERPRODQTZERO").readOnly = false;
        }).catch(error => {
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("NRNECECOMP").setValue("");
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("CALENDARIO").readOnly = false;
            templateManager.container.getActiveWidget('zhFilterPreferencesSelectConditions').getField("MANTERPRODQTZERO").readOnly = false;
        });
    };
    
    this.calcPrevConsReport = function(widget, row, args) {
        const messageCode = 'PREVIA_MSGBACK';

        General.callRestEngine('cmp_necessidadeCompras#/verifyDataLimiteSeguranca', 'Row', row).then(function(calback) {
            const params = { PARAMETRO: calback.dataset.resposta.DATSEGU };
            
            row.DATFIMSEGU = calback.dataset.resposta.DATSEGU;
            MessageService.getMessageByCode('cmp#' + messageCode).then(function (message) {
                row.MSGBACK = message;
                if (idcalprevcon !== 'N') {
                    if (idcalprevcon == 'S') {
                        MessageService.confirmMessageByCode("cmp#PREVIA_CALC_PREVISAO_ENTRE_DATAS", params, 'question').then(function(success) {
                            General.callRestEngine('cmp_necessidadeCompras#/GetProceConsPlan', 'Row', row).then(function(result) {
                                if (!result.dataset.resposta.MSG) {
                                    self.proceNeceComReport(widget, args);
                                } else {
                                    ScreenService.showMessage(result.dataset.resposta.MSG);
                                }
                            }.bind());
                        }, function(error) {
                            self.proceNeceComReport(widget, args);
                        });
                    } else {
                        General.callRestEngine('cmp_necessidadeCompras#/GetProceConsPlan', 'Row', row).then(function(result) {
                            if (!result.dataset.resposta.MSG) {
                                self.proceNeceComReport(widget, args);
                            } else {
                                ScreenService.showMessage(result.dataset.resposta.MSG);
                            }
                        }.bind());
                    }
                } else {
                    self.proceNeceComReport(widget, args);
                }
            }).catch(function () {
                ScreenService.showMessage(messageCode, 'ERROR', null);
            });
        });
    };
    
    this.proceNeceComReport = function(widget, args) {
      widget.currentRow.CDFILCENTCMP = getLocalVar('CDFILCENTCMP');
        widget.currentRow.TCDFILIAL = "";

        if (widget.currentRow.CALENDARIO == 'S') {
            General.callRestEngine('cmp_necessidadeCompras#/procePeriodicidadeNaoCalculada', "Row", widget.currentRow).then(function() {
                funcProceNeceComprasReport(widget, args);
            });
        } else {
            funcProceNeceComprasReport(widget, args);
        }  
    };
    
    function funcProceNeceComprasReport(widget, args) {
        return General.callRestEngine('cmp_necessidadeCompras#/proceNecessidadeCompras', "Row", widget.currentRow).then(function(callback) {
            widget.currentRow.NRNECECOMP = callback.dataset.response[0];
            self.createDatasourcePincipalPreviaCalc(args, widget.currentRow);
        });
    }
}

Configuration(function(ContextRegister) {
    ContextRegister.register('Cmp03800PreviaDoCalculoDaNecessidadeDeCompras_Controller', Cmp03800PreviaDoCalculoDaNecessidadeDeCompras_Controller);
});