function Cmp04800_FormularioDeLacamentoDeSolicitacoesDeComprasController(General, ScreenService, localStorageEngine, MessageService) {

    // var listaUnidades = '';
    // var listaComprador = '';
    
    function concatArrayForParams(value, defaultValue = 'T') {
        if (!Util.isEmptyOrBlank(value)) {
            return Array.isArray(value) ? value.join('_') : value;
        }
    
        return defaultValue;
    }
    
    function concatProdutoFinal(value) {
        const pad = 'ZZZZZZZZZZ';
        
        return value + pad.substr(0, pad.length - value.length);
    }
    
    this.initialValidations = function (widget) {
        widget.currentRow.CDFILIAL = [ getLocalVar("CDFILIAL") ];
        widget.currentRow.NMFILIAL = [ getLocalVar("NMFILIAL") ];
        
        const filialField = widget.getField("CDFILIAL");
        filialField.reload();
        
        General.callRestEngine("cmp#/getCdFilCentCmp", "Row", {}).then(function(response) {
            if(response.dataset.data.CDFILCENTCMP == response.dataset.data.CDFILIAL) {
                var NMFILCENTCMP = response.dataset.data.NMFILCENTCMP;
                var CDFILCENTCMP = response.dataset.data.CDFILCENTCMP;
                widget.currentRow.CDFILIAL = [ CDFILCENTCMP ];
                widget.currentRow.NMFILIAL = [ NMFILCENTCMP ];
                filialField.readOnly = false;
                filialField.reload().then(function(success) {
                    let verificador = 0;
                    success.dataset.filial_filioper_regiao.forEach(function(filial) {
                        if(filial.CDFILIAL == widget.currentRow.CDFILIAL[0]) {
                            verificador++;
                        }
                    });
                    if(verificador == 0) {
                        delete widget.currentRow.CDFILIAL;
                        delete widget.currentRow.NMFILIAL;
                        filialField.reload();
                    }
                });
            } else {
                filialField.readOnly = true;
                filialField.reload().then(function(success) {
                    if(filialField.readOnly == true) {
                        let verificador = 0;
                        success.dataset.filial_filioper_regiao.forEach(function(filial) {
                            if(filial.CDFILIAL == widget.currentRow.CDFILIAL[0]) {
                                verificador++;
                            }
                        });
                        if(verificador == 0) {
                            filialField.validations.required = true;
    	                    MessageService.showMessageByCode("FILIAL_SEM_REGIAO", null, { type: 'ERROR' });
    	                    delete widget.currentRow.CDFILIAL;
    	                    delete widget.currentRow.NMFILIAL;
    	                    filialField.reload();
                        } else {
                            delete filialField.validations.required;
    	                    filialField.reload();
    	                }
                    }
                });
            }
        }, function(error) {
            MessageService.showMessageByCode(error.data ? 'cmp#' + error.data.error : 'Timeout', null, { type: 'ERROR' });
            widget.currentRow.CDFILIAL = [ getLocalVar("CDFILIAL") ];
            widget.currentRow.NMFILIAL = [ getLocalVar("NMFILIAL") ];
            filialField.reload();
        });
    };
    this.criaRelatorio = function(widget) {
        const reportName = widget.currentRow.CD_REPORT_NAME;
        
        if (widget.isValid() && this.validaProduto(widget.currentRow.CDARVPRODINI, widget.currentRow.CDARVPRODFIN)) {
            General.openReportPopup(widget, this.abreRelatorio, [widget, reportName] );
        }
    };
    
    this.validaProduto = function(prodInicial, prodFinal) {
        if (General.comparaPratoProduto(prodInicial, prodFinal, getLocalVar('CDPICTPROD'))) {
            return true;
        }
        MessageService.showMessageByCode("PRODUTO_INICIAL_MENOR_IGUAL_FINAL");
        return false;
    };
    
    this.abreRelatorio = function(widget, reportName) {
        const row = angular.copy(widget.currentRow);
        
        row.CDOPERADOR = concatArrayForParams(row.CDOPERADOR, "T");
        row.CDFILIAL = concatArrayForParams(row.CDFILIAL, "T");
        row.CDPRODFIN1 = row.CDARVPRODFIN;
        row.CDPRODFIN  = concatProdutoFinal(row.CDARVPRODFIN);
        delete row.NMFILIAL;
       
        General.openReport("cmp_relatorio#/cmp04800_relatorio", reportName, row);
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('Cmp04800_FormularioDeLacamentoDeSolicitacoesDeComprasController', Cmp04800_FormularioDeLacamentoDeSolicitacoesDeComprasController);
});