'use strict';

var base = require('./pageObject.po.js');

function calculoNecessidadeCompras() {

	var ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	var z = new ZeedhiAPIConstructor(browser, protractor);
	var util = require('../../util/util.js');
	var data = 'A'+ base.currentDate(); //gambiarra para digitar a data toda  

	this.navegar = function (nome) {
		element(by.cssContainingText('a.ng-binding', nome)).click();
	};

	this.abrir = function (search, click) {
		util.waitForAngular();
		util.elementVisible(by.css('.menu-items'));
		z.component.menu.open();
		z.component.menu.useSearch(search);
		z.component.menu.clickByLabel(click);
		util.waitForAngular();//espera a pagina carregar completamente
	};
	
	this.limpaCampos = function () {
		element(by.css('#PERIENTR > span > span.zh-icon.zh-icon-close-x.zh-icon-no-border > svg')).click();
		z.component.footer.clickCenterActionByLabel('Calcular');
	};

	this.selecionaUnidade = function (unidade) {
		element(by.css('#FILIAL')).click();
		browser.sleep(2000);
		//element(by.css('#popup > span > section > section > section > section > div > div:nth-child(2) > div > div.control-menu > ul > li.float-action.expandable > div > div > span.action-icon.search-action-icon.zh-icon.zh-icon-search.zh-icon-no-border.zh-icon-color-white > svg')).click();
		element(by.xpath('//*[@id="popup"]/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input')).sendKeys(unidade);
		browser.sleep(2000);
		element(by.css('#grid-9999 > div.body > div > div > div.td.grid-checkbox-column.zh-side-column.fixed.zh-ripple-effect > span > svg > rect')).click();
		z.component.footer.clickRightActionByLabel('Ok');
	};

	this.selecionaPeriodo = function (/*dataIni, dataFin*/){
		element(by.css('#PERIENTR > span > span.zh-icon.zh-icon-close-x.zh-icon-no-border > svg')).click();
		element(by.id('PERIENTR_START')).click();
		element(by.id('PERIENTR_START')).sendKeys(data);
		element(by.id('PERIENTR_END')).sendKeys(data);
		//element(by.id('PERIENTR_START')).sendKeys(dataIni);
		//element(by.id('PERIENTR_END')).sendKeys(dataFin);
		
	};

	this.selecionaProduto = function (prodini, prodfin){
		base.selectAutocomplete('NMPRODINI', prodini);
		base.selectAutocomplete('NMPRODFIN', prodfin);
	};

	this.calcula = function (){
		z.component.footer.clickCenterActionByLabel('Calcular');
		z.component.alert.clickButton('Sim');
		//element(by.css('#footer > div.zh-footer-center > ul > li:nth-child(1) > a')).click();
		z.component.alert.clickButton('Não');
	};

	this.geraNecessidade = function () {
		element(by.css('#grid-1314091682184993557134 > div.header > div > div > div.th.grid-checkbox-column.fixed > div > svg > rect')).click();
		element(by.css('#grid-1314091682184993557134 > div.body > div > div:nth-child(1) > div.td.grid-checkbox-column.zh-side-column.fixed.zh-ripple-effect > span > svg > rect')).click();
		z.component.footer.clickCenterActionByLabel('Gerar');
		z.component.alert.clickButton('Sim');
	};

	this.parametroUnidadeDiversos = function (unidade) {
		base.selectAutocomplete('NMFILIAL', unidade);
		z.component.footer.clickCenterActionByLabel('Editar');
		
	};  

	this.parametroAcrescimo = function (opcao) {
		//element(by.xpath('//*[@id="IDPERACRNEC"]')).click();
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[1]/div/div/div[2]')).click();
		browser.sleep(2000);
		//element(by.cssContainingText('.option', opcao)).click();
		//clica na opção Sim
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[1]/div/div/div[2]/ul/li[1]')).click();
		browser.sleep(2000);
	};

	this.parametroAcrescimoDesabilitado = function (opcao) {
		//element(by.xpath('//*[@id="IDPERACRNEC"]')).click();
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[1]/div/div/div[2]')).click();
		browser.sleep(2000);
		//element(by.cssContainingText('.option', opcao)).click();
		//Clica na opção Não
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[1]/div/div/div[2]/ul/li[2]')).click();
		browser.sleep(2000);
	};


	this.parametroEstoque = function (opcao) {
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[2]/div/div/div[2]')).click();
		browser.sleep(2000);
		//element(by.cssContainingText('.option', opcao)).click();
		//clica na opção Sim
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[2]/div/div/div[2]/ul/li[1]')).click();
		/*clica na opção Não
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[2]/div/div/div[2]/ul/li[2]')).click();
		*/
		browser.sleep(2000);
	};

	this.parametroEstoqueDesabilitado = function (opcao) {
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[2]/div/div/div[2]')).click();
		browser.sleep(2000);
		//clica na opção Não
		element(by.xpath('/html/body/span/section/section/div[2]/section[2]/div/section/section[2]/section/section/div/section/section/section/div/section/div/form/section[5]/div/div[2]/div/div/div[2]/ul/li[2]')).click();
		browser.sleep(2000);
	};

	this.textoEstoque = function () {
		this.getTextEst = element(by.css('body > span > section > section > div.default-window > section.everything > div > section > section > div > form > section:nth-child(4) > div > div:nth-child(1) > div.col-xs-6.zh-field.last-of-row > label > span'));
		return this.getTextEst.getText();
	};

	this.textoEstoqueDesabilitado = function () {
		this.getTextEstDes = element(by.css('body > span > section > section > div.default-window > section.everything > div > section > section > div > form > section:nth-child(4) > div > div:nth-child(1) > div.col-xs-6.zh-field.last-of-row > label > span'));
		return this.getTextEstDes.getText();
	};

	this.acrescimo = function (acrescimo) {
		element(by.id('PEACRESCIMO')).click();
		element(by.id('PEACRESCIMO')).sendKeys(acrescimo);
	};

	this.textoAlert = function(){
        this.getTextTextoAlert = element(by.css('.zh-text-alert'));
        return this.getTextTextoAlert.getText();
    };

	this.textoStripe = function(){
        this.getTextTextoStripe = element(by.css('#header > div > div.navbar-header > div.navbar-brand.zh-header-title.has-header-info'));
        return this.getTextTextoStripe.getText();
    };
};



module.exports = new calculoNecessidadeCompras();
	